Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs
Class AboutDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          info.bioinfweb.treegraph.gui.dialogs.AboutDialog

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

    public class AboutDialog

extends JDialog

The about dialog of TreeGraph 2.

Author:
  Ben Stöver
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private JPanel` | `apachePanel`
`private JScrollPane` | `apacheScrollPane`
`private JEditorPane` | `apacheTextArea`
`private JLabel` | `batikLabel`
`private JPanel` | `buttonPanel`
`private JButton` | `closeButton`
`private JTabbedPane` | `contentsTabbedPane`
`private JEditorPane` | `generalEditorPane`
`private JPanel` | `generalPanel`
`private JScrollPane` | `generalScrollPane`
`private JEditorPane` | `gplEditorPane`
`private JPanel` | `gplPanel`
`private JScrollPane` | `gplScrollPane`
`HyperlinkListener` | `HYPERLINK_LISTENER`
`private JPanel` | `jContentPane`
`static String` | `RESOURCES_PATH`
`private static long` | `serialVersionUID`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AboutDialog(Frame owner)`

Method Summary
`private JPanel` | `getApachePanel()` This method initializes apachePanel
`private JScrollPane` | `getApacheScrollPane()` This method initializes apacheScrollPane
`private JEditorPane` | `getApacheTextArea()` This method initializes apacheTextArea
`private JPanel` | `getButtonPanel()` This method initializes buttonPanel
`private JButton` | `getCloseButton()` This method initializes closeButton
`private JTabbedPane` | `getContentsTabbedPane()` This method initializes contentsTabbedPane
`private JEditorPane` | `getGeneralEditorPane()` This method initializes generalEditorPane
`private JPanel` | `getGeneralPanel()` This method initializes generalPanel
`private JScrollPane` | `getGeneralScrollPane()` This method initializes generalScrollPane
`private JEditorPane` | `getGplEditorPane()` This method initializes gplTextArea
`private JPanel` | `getGPLPanel()` This method initializes gplPanel
`private JScrollPane` | `getGplScrollPane()` This method initializes gplScrollPane
`private JPanel` | `getJContentPane()` This method initializes jContentPane
`private static String` | `getResourcePath(String file)`
`private void` | `initialize()` This method initializes this

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCES_PATH

    public static final String RESOURCES_PATH

See Also:
  Constant Field Values

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### HYPERLINK_LISTENER

    public final HyperlinkListener HYPERLINK_LISTENER

### jContentPane

    private JPanel jContentPane

### contentsTabbedPane

    private JTabbedPane contentsTabbedPane

### generalPanel

    private JPanel generalPanel

### gplPanel

    private JPanel gplPanel

### apachePanel

    private JPanel apachePanel

### batikLabel

    private JLabel batikLabel

### buttonPanel

    private JPanel buttonPanel

### closeButton

    private JButton closeButton

### apacheTextArea

    private JEditorPane apacheTextArea

### apacheScrollPane

    private JScrollPane apacheScrollPane

### gplScrollPane

    private JScrollPane gplScrollPane

### gplEditorPane

    private JEditorPane gplEditorPane

### generalScrollPane

    private JScrollPane generalScrollPane

### generalEditorPane

    private JEditorPane generalEditorPane

Constructor Detail

### AboutDialog

    public AboutDialog(Frame owner)

Parameters:
  `owner` -

Method Detail

### initialize

    private void initialize()

  This method initializes this

### getJContentPane

    private JPanel getJContentPane()

  This method initializes jContentPane

  Returns:
    javax.swing.JPanel

### getContentsTabbedPane

    private JTabbedPane getContentsTabbedPane()

  This method initializes contentsTabbedPane

  Returns:
    javax.swing.JTabbedPane

### getGeneralPanel

    private JPanel getGeneralPanel()

  This method initializes generalPanel

  Returns:
    javax.swing.JPanel

### getGPLPanel

    private JPanel getGPLPanel()

  This method initializes gplPanel

  Returns:
    javax.swing.JPanel

### getApachePanel

    private JPanel getApachePanel()

  This method initializes apachePanel

  Returns:
    javax.swing.JPanel

### getButtonPanel

    private JPanel getButtonPanel()

  This method initializes buttonPanel

  Returns:
    javax.swing.JPanel

### getCloseButton

    private JButton getCloseButton()

  This method initializes closeButton

  Returns:
    javax.swing.JButton

### getApacheTextArea

    private JEditorPane getApacheTextArea()

  This method initializes apacheTextArea

  Returns:
    javax.swing.JTextArea

### getApacheScrollPane

    private JScrollPane getApacheScrollPane()

  This method initializes apacheScrollPane

  Returns:
    javax.swing.JScrollPane

### getGplScrollPane

    private JScrollPane getGplScrollPane()

  This method initializes gplScrollPane

  Returns:
    javax.swing.JScrollPane

### getGplEditorPane

    private JEditorPane getGplEditorPane()

  This method initializes gplTextArea

  Returns:
    javax.swing.JTextArea

### getGeneralScrollPane

    private JScrollPane getGeneralScrollPane()

  This method initializes generalScrollPane

  Returns:
    javax.swing.JScrollPane

### getResourcePath

    private static String getResourcePath(String file)

### getGeneralEditorPane

    private JEditorPane getGeneralEditorPane()

  This method initializes generalEditorPane

  Returns:
    javax.swing.JEditorPane

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD